<<template>
  <view>
    <button style="margin-top: 100px;" @click="onClick">人脸识别</button>
  </view>
</template>

<script>
  export default {
    methods: {
      onClick() {
        console.log('onClick')
        wx.startFacialRecognitionVerify({
          name: '江燕汾', //身份证名称
          idCardNumber: '440603199901174222', //身份证号码
          checkAliveType: 2, //屏幕闪烁(人脸核验的交互方式，默认0,读数字)
          success: function (res) {
            var verifyResult = res.verifyResult; //认证结果
            console.log("res", res)
            if(res.errCode == 0){
              //识别成功  这个时候可以调后端的接口 （带着返的res.verifyResult）
              // this.verify(userName, userIdCard,verifyResult)
            }else{
              tipInfo("识别失败")
            }
          },
          fail: err => {
            console.log("err", err)
            wx.showToast('请保持光线充足，面部正对手机，且无遮挡')
          }
        })

      },
    },
  }
</script>

<style>

</style>>